package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.model.usr.Usr;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lttp extends AbstractCommonVo {

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //Reimbursement status
    private  String rmbsta = NULLSTR;

    //total amount of LTT
    private BigDecimal totamt = Decimals.ZERO_SCALE3;

    //Reimbursement Narrative
    private  String rmbnar = NULLSTR;

    //DEFDAT LAbel
    private  String labdefdet = NULLSTR;

    private Usr usr;

    private Ltdget recget;

    private PtsptaVo own;

    @Override
    public void reset() {
        super.reset();
        if(null == usr){
            usr = new Usr();
        }

        if (recget == null){
            recget = new Ltdget();
        }
        recget.reset();
    }
}
